Bug 85432 - Add locale details to help->about
Summary: Add locale details to help->about
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.0.2 rc
Hardware: Other All
: medium normal
Assignee: brij
QA Contact:
URL:
Whiteboard: target:4.4.0 target:5.0.0 target:4.4.4
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks: About-Dialog
  Show dependency treegraph
 
Reported: 2014-10-25 10:51 UTC by Michael Meeks
Modified: 2016-10-13 20:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of About dialog after Locale changes (69.06 KB, image/png)
2014-11-15 20:11 UTC, brij
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2014-10-25 10:51:26 UTC
We routinely get (eg.) spelling checker bugs - with often outraged users claiming that XYZ string is not in their dictionary but ABC string is - and we must be sexist, racist, etc. ;-) [ conspiracy theorism needs no rationality ].

One of the things that would help here; is to have the locale currently in-use in the Help->About dialog - so that bug filers can easily attach that to a bug.

cui/source/dialogs/about.cxx

has the code for the about dialog; and you can get the current locale names from sal/osl - cf.

$ git grep osl_getProcessLocale

Thanks !
Comment 1 brij 2014-11-13 21:05:17 UTC
Hi Michael,

According to my understanding, following things need to be done in this task.

1. Find out the current locale by using osl_getProcessLocale() function.
2. Put this value in Help->About dialog UI.

Please let me know if this is correct. Also is there a specific place in UI where you need me to keep the locale value?

Thanks!
Comment 2 brij 2014-11-15 20:11:08 UTC
Created attachment 109537 [details]
Screenshot of About dialog after Locale changes
Comment 3 brij 2014-11-15 20:23:04 UTC
Hi Michael,

I have pushed the changes for this bug. Kindly review.

https://gerrit.libreoffice.org/12464

I have also attached a screenshot of the new about dialog after the changes.

Thanks!
Comment 4 Commit Notification 2014-11-16 08:36:31 UTC
Brij Mohan Lal Srivastava committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c5092a8d0edeada83118c595b61ee80486e84659

fdo#85432 : Add locale details to help->about

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 brij 2014-11-16 18:12:27 UTC
Hi Michael,

I want to work on your suggestion to include OpenGL and other hardware info information in About dialog. Can you please create a bug for that for tracking.

Thanks!
Comment 6 Mike §chinagl 2014-12-20 21:59:56 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 


The About dialog now informs the user about the locale  they are currently using.

See a graphic of the work:
https://wiki.documentfoundation.org/File:About_4.4.png
Comment 7 Yousuf Philips (jay) 2015-02-04 01:02:44 UTC
Is the system locale or the currently set LO locale to be included in the dialog, as presently the system locale is what is being shown there and if that is the intent, then a new bug report likely needs to be opened to amend the label to 'System Locale:' as the QA team misunderstood this field today.
Comment 8 Michael Meeks 2015-02-04 10:33:28 UTC
Hmm; so - the system locale is quite important; on the other hand, I'd love to have more information there; and I don't think it has to be labelled in fact. A free-form string that we can use to diagnose issues would be great.

So - I'd change the string to : "Details:" and present a ',' separated list, system then selected locale - also whether OpenGL is enabled is another chestnut we need to make visible; there - prolly worth filing a new bug for all that though =) might also be good to have the OS vendor/version too: just to make it easy to sanity check with a simple cut/paste what the user is claiming =)
Comment 9 Yousuf Philips (jay) 2015-02-04 16:19:55 UTC
New bug report for the improvement - bug 89124.
Comment 10 Commit Notification 2015-04-28 11:28:04 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f318e305b6afa715ef759b8589823da53b812a88

don't assume Country to be always present, tdf#85432 follow-up

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2015-04-28 11:28:08 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9fdde6457d3d07b01c4bfc300637533a7dccb920

use sensible variable naming, tdf#85432 follow-up

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-04-30 08:23:16 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e45f01a28eab1db7ef05224a8fb89a438f93c22e&h=libreoffice-4-4

don't assume Country to be always present, tdf#85432 follow-up

It will be available in 4.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Robinson Tryon (qubit) 2015-12-16 00:09:58 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp TopicCleanup)
[NinjaEdit]